package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaTrainMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaTrain;
import com.goldenwater.slaj.ttsa.service.IBisTtsaTrainService;

@Service
public class BisTtsaTrainServiceImpl implements IBisTtsaTrainService {
    @Autowired
    private BisTtsaTrainMapper bisTtsaTrainMapper;

    @Override
    public BisTtsaTrain selectBisTtsaTrainByGuid(String guid) {
        return bisTtsaTrainMapper.selectBisTtsaTrainByGuid(guid);
    }

    @Override
    public List<BisTtsaTrain> selectBisTtsaTrainList(BisTtsaTrain bisTtsaTrain) {
        return bisTtsaTrainMapper.selectBisTtsaTrainList(bisTtsaTrain);
    }

    @Override
    public int insertBisTtsaTrain(BisTtsaTrain bisTtsaTrain) {
        return bisTtsaTrainMapper.insertBisTtsaTrain(bisTtsaTrain);
    }

    @Override
    public int updateBisTtsaTrain(BisTtsaTrain bisTtsaTrain) {
        return bisTtsaTrainMapper.updateBisTtsaTrain(bisTtsaTrain);
    }

    @Override
    public int deleteBisTtsaTrainByGuid(String guid) {
        return bisTtsaTrainMapper.deleteBisTtsaTrainByGuid(guid);
    }

    @Override
    public int deleteBisTtsaTrainByGuids(String[] guids) {
        return bisTtsaTrainMapper.deleteBisTtsaTrainByGuids(guids);
    }
}
